Share via


User Per Flow Capacity Source - Get User Per Flow Capacity Source User Context Summary

Get the user per flow capacity source user context summary.

GET https://api.powerplatform.com/licensing/UserPerFlowCapacitySource/UserContextSummary?startDate={startDate}&api-version=2022-03-01-preview
GET https://api.powerplatform.com/licensing/UserPerFlowCapacitySource/UserContextSummary?startDate={startDate}&endDate={endDate}&pageNumber={pageNumber}&pageSize={pageSize}&environmentId={environmentId}&api-version=2022-03-01-preview

URI Parameters

Name In Required Type Description
api-version
query True

string

The API version.

startDate
query True

string (date-time)

The start date for the query range.

endDate
query

string (date-time)

The end date for the query range. Defaults to current UTC time if not provided.

environmentId
query

string (uuid)

Filter by environment identifier.

pageNumber
query

integer (int32)

The page number for pagination.

pageSize
query

integer (int32)

The page size for pagination.

Responses

Name Type Description
200 OK

PowerPlatformRequestSnapshotResultWithoutPagesUserPerFlowCapacitySourceUserContextRecord

Success

204 No Content

No Content

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

500 Internal Server Error

Internal Server Error

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
PowerPlatformRequestSnapshotResultWithoutPagesUserPerFlowCapacitySourceUserContextRecord

Paginated result container for user context summary records.

UserPerFlowCapacitySourceUserContextRecord

User context summary for per flow capacity source.

PowerPlatformRequestSnapshotResultWithoutPagesUserPerFlowCapacitySourceUserContextRecord

Paginated result container for user context summary records.

Name Type Description
currentPage

integer (int32)

The current page number.

records

UserPerFlowCapacitySourceUserContextRecord[]

Collection of user context summary records.

UserPerFlowCapacitySourceUserContextRecord

User context summary for per flow capacity source.

Name Type Description
consumptionDate

string (date-time)

The date of consumption.

flowContext

string

The context in which flows were executed.

flowLicenseCategorization

string

The license categorization of the flows.

tenantId

string (uuid)

The tenant identifier.

totalCapacity

integer (int64)

The total capacity available for the user.

totalConsumption

integer (int64)

The total consumption units for the user.

totalFlows

integer (int64)

The total number of flows executed by the user.

userId

string

The user identifier.